CQLFragmentParser (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.cql3

## Class CQLFragmentParser

- java.lang.Object
- - org.apache.cassandra.cql3.CQLFragmentParser

-     public final class CQLFragmentParser
      extends java.lang.Object

  Helper class to encapsulate common code that calls one of the generated methods in `CqlParser`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static interface` | `CQLFragmentParser.CQLParserFunction<R>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CQLFragmentParser()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <R> R` | `parseAny(CQLFragmentParser.CQLParserFunction<R> parserFunction, java.lang.String input, java.lang.String meaning)`
    `static <R> R` | `parseAnyUnhandled(CQLFragmentParser.CQLParserFunction<R> parserFunction, java.lang.String input)` Just call a parser method in `CqlParser` - does not do any error handling.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CQLFragmentParser

          public CQLFragmentParser()

  - ### Method Detail

    - #### parseAny

          public static <R> R parseAny(CQLFragmentParser.CQLParserFunction<R> parserFunction,
                                       java.lang.String input,
                                       java.lang.String meaning)

    - #### parseAnyUnhandled

          public static <R> R parseAnyUnhandled(CQLFragmentParser.CQLParserFunction<R> parserFunction,
                                                java.lang.String input)
                                         throws org.antlr.runtime.RecognitionException

      Just call a parser method in `CqlParser` - does not do any error handling.
      Throws:
        `org.antlr.runtime.RecognitionException`

Copyright © 2018 The Apache Software Foundation